org.apache.struts2.dispatcher

## Class MockDispatcher

- java.lang.Object
- - org.apache.struts2.dispatcher.Dispatcher
  - - org.apache.struts2.dispatcher.MockDispatcher

-     public class MockDispatcher
      extends Dispatcher

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.struts2.dispatcher.Dispatcher

      `Dispatcher.Locator`

  - ### Field Summary

    - ### Fields inherited from class org.apache.struts2.dispatcher.Dispatcher

      `configurationManager, initParams, MULTIPART_FORM_DATA_REGEX, REQUEST_POST_METHOD, servletContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockDispatcher(javax.servlet.ServletContext servletContext, Map<String,String> context, ConfigurationManager configurationManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init()` Load configurations, including both XML and zero-configuration strategies, and update optional settings, including whether to reload configurations and resource files.

    - ### Methods inherited from class org.apache.struts2.dispatcher.Dispatcher

      `addDispatcherListener, cleanup, cleanUpAfterInit, cleanUpRequest, createActionProxy, createConfigurationManager, createContextMap, createContextMap, createJavaConfigurationProvider, createStrutsXmlConfigurationProvider, createStrutsXmlConfigurationProvider, getConfigurationManager, getContainer, getInstance, getInstance, getLocale, getMultiPartRequest, getSaveDir, isDevMode, isHandleException, isMultipartRequest, isMultipartSupportEnabled, isSameAction, logConfigurationException, prepare, prepareActionProxy, removeDispatcherListener, sendError, serviceAction, setDefaultEncoding, setDefaultLocale, setDevMode, setDisableRequestAttributeValueStackLookup, setDispatcherErrorHandler, setHandleException, setInstance, setMultipartHandler, setMultipartSaveDir, setMultipartSupportEnabled, setMultipartValidationRegex, setValueStackFactory, wrapRequest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockDispatcher

          public MockDispatcher(javax.servlet.ServletContext servletContext,
                                Map<String,String> context,
                                ConfigurationManager configurationManager)

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `Dispatcher`
      Load configurations, including both XML and zero-configuration strategies, and update optional settings, including whether to reload configurations and resource files.
      Overrides:
        `init` in class `Dispatcher`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.